typedef Json = Map<String, dynamic>;

extension JsonExtension on Json {
  double getDouble(String key) {
    if (!containsKey(key)) {
      throw Exception("getDouble exception. No key found $key");
    }
    final value = this[key];
    if (value is num) {
      return value.toDouble();
    }
    if (value is String) {
      return double.parse(value);
    }
    throw Exception("could not parse $value to double");
  }
}
